#include <iostream>
using namespace std;
typedef struct{
    unsigned long long a;
    float b;
    void decimalnizapis() {
        b = a;
    }
    void prvacifra() {
        while(b > 9) {
            b /= 10;
        }
    }
} Broj;
int main()
{
    Broj broj[3];
    cin >> broj[0].a >> broj[1].a >> broj[2].a;
    broj[0].decimalnizapis(), broj[0].prvacifra();
    broj[1].decimalnizapis(), broj[1].prvacifra();
    broj[2].decimalnizapis(), broj[2].prvacifra();
    Broj temp;
    if(broj[0].b < broj[1].b) {
        temp = broj[0];
        broj[0] = broj[1];
        broj[1] = temp;
    }
    if(broj[0].b < broj[2].b) {
        temp = broj[0];
        broj[0] = broj[2];
        broj[2] = temp;
    }
    if(broj[1].b < broj[2].b) {
        temp = broj[1];
        broj[1] = broj[2];
        broj[2] = temp;
    }
    cout << broj[0].a << broj[1].a << broj[2].a;
    return 0;
}